Bug 461752 - (CVE-2008-3906) CVE-2008-3906 mono: Sys.Web HTTP header injection attack
CVE-2008-3906 mono: Sys.Web HTTP header injection attack
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Reopened, Security
Depends On: 461753 461754 461755
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 08:45 EDT by Tomas Hoger
Modified: 2010-12-23 17:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-09-10 08:45:31 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3906 to the
following vulnerability:

CRLF injection vulnerability in Sys.Web in Mono 2.0 and earlier allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via CRLF sequences in the query string.

References:
https://bugzilla.novell.com/show_bug.cgi?id=418620
http://www.openwall.com/lists/oss-security/2008/08/27/6
http://secunia.com/advisories/31643
http://www.securityfocus.com/bid/30867
http://www.frsirt.com/english/advisories/2008/2443

Upstream commits to various SVN branches are mentioned in Novell bugzilla:
https://bugzilla.novell.com/show_bug.cgi?id=418620#c12
https://bugzilla.novell.com/show_bug.cgi?id=418620#c16
Comment 2 Paul F. Johnson 2008-09-18 18:29:56 EDT
Fixed in the next push (should hit rawhide tomorrow/saturday)
Comment 3 Tomas Hoger 2008-09-29 09:23:19 EDT
Re-opening this parent bugs, which is supposed to track this issue across all supported versions, as F8/F9 should still be unfixed.

Note You need to log in before you can comment on or make changes to this bug.